<?
// Helper for preparation of author names
$names = explode(";", $this->authors); 


$nameout = '';
foreach ($names as $name)  {
        $lastName = explode(",", $name);
        $nameout .= '<span style="font-variant: small-caps;">' .trim($lastName[0]) .'</span>, ' .trim($lastName[1]);
        $nameout .= "; ";
}

if (strlen($nameout) > 2) $nameout = str_replace("::",":",substr($nameout, 0 , strlen($nameout) - 2));

if (strcmp($this->role, "edt") == 0) {
	$nameout .= " (Hrsg.):";
   } else{
	$nameout .= ""; 
}  

?>

<? if (!empty($this->authors)): ?><?=$nameout?> <? endif; ?> 
<? if (!empty($this->title)) : ?><?=$this->escapeHtml($this->title)?><? if ($this->periodAfterTitle): ?>. <? endif; ?><? endif; ?>
<? if (!empty($this->pubPlace)): ?><?=$this->escapeHtml($this->pubPlace)?> <? endif; ?>
<? if (!empty($this->year)): ?><?=$this->escapeHtml($this->year)?><? endif; ?>

